Skip to main content

Customer Migrations Guide: Post Business Import

After a business has successfully been created you might need to import additional data. In this section we’ll walk you through the various endpoints you can use to add information to an imported business in Kraken.

Importing payment instructions for business

Overview

Use this endpoint to create a payment instruction for a business.

Schema

Loading...
POST https://api.oefr-kraken.energy/v1/data-import/business-payment-instruction/create/

Responses

The following responses may be returned from the API.

Status codeDescription
201 - Created

If the payload is valid, a 201 Created response will be returned containing the Kraken account number and the reference. For example:

{ "reference": "abc-defg", "external_business_identifier": "external-123343243" }
400 - Bad Request

If there are validation errors, a 400 Bad Request response will be returned, detailing the errors. To resolve the error, refer to the field definitions and validation rules.

This error can be returned if we have persistent issues communicating with the upstream payment vendor (we call their API to verify the instruction exists, and retrieve the details to store in Kraken). In this case, the request should not be retried in its current form.

401 - Unauthorized

If there are authorization errors, a 401 Unauthorized response will be returned. To resolve the error, ensure that authorization token is provided and valid.

500 - Internal Server Error

If an unexpected error occurs, a 500 Internal Server Error response will be returned.

This error can be returned if we have intermittent issues communicating with the upstream payment vendor (we call their API to verify the instruction exists, and retrieve the details to store in Kraken). In this case, the request should be retried as-is.

Payloads

Example payload
{ "import_supplier_code": "TENTACLE_UTILITIES", "external_business_identifier": "EXTERNAL-1234", "vendor": "STRIPE", "reference": "THIS-IS-A-FAKE-REFERENCE", "type": "CARD" }